using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("wb_gl"), PrimaryKey("GlNr")]
    public class WbGl {
        [Column("glnr")]
        public int GlNr { get; private set; }

        [Column("name")]
        public string Name { get; private set; } = null!;

        [InverseProperty("Gl")]
        public virtual ISet<WbKg> Kgs { get; private set; } = null!;
    }
}
